package com.gxzc.zen.orm

import com.baomidou.mybatisplus.mapper.MetaObjectHandler
import org.apache.ibatis.reflection.MetaObject
import org.springframework.stereotype.Component
import java.util.*

/**
 * 公共字段自动填充
 * @author NorthLan
 * @date 2018/1/31
 * @url https://noahlan.com
 */
@Component
class CustomMetaObjectHandler : MetaObjectHandler() {
    override fun insertFill(metaObject: MetaObject?) {
        if (getFieldValByName("createBy", metaObject) == null) {
            // TODO 公共字段填充 createBy
            setFieldValByName("createBy", "admin", metaObject)
        }
        if (getFieldValByName("createTime", metaObject) == null) {
            setFieldValByName("createTime", Date(), metaObject)
        }
    }

    override fun updateFill(metaObject: MetaObject?) {
        if (getFieldValByName("updateBy", metaObject) == null) {
            // TODO 公共字段填充 updateBy
            setFieldValByName("updateBy", "admin", metaObject)
        }
        setFieldValByName("updateTime", Date(), metaObject)
    }
}